---
title: Crossborder
slug: crossborder
icon: {"faIcon":"fa-solid fa-building-flag"}
createdAt: 2025-11-05T03:25:35.163Z
---

Aqui se definen los endoints adicionales a la operatoria Cross-Border.

## Exchange Rate

:::ApiMethodV2
```json
{
  "name": "Exchange",
  "method": "GET",
  "url": "https://api.interoperable.ar/crossborder/exchange/:target/:base",
  "description": "Permite conocer la cotización de una moneda con respecto a la moneda de la Billetera/Banco.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "SaJgzTtoXRT0hpKlIac7v",
        "language": "curl",
        "code": "curl --location -g --request GET 'https://api.interoperable.ar/customer/{customer_id}/operation' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "QIyVgg7B4Jc-jddaOwkCE",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api.interoperable.ar/customer/{customer_id}/operation',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "YJL_x_RQTxOw19P_-lZwE",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/customer/{customer_id}/operation\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "AKx2_-RGf7KBK2k0gk97E",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/customer/{customer_id}/operation\"\n\npayload={}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "bPcLe0qq3iA-1hvpgkoNx",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/customer/{customer_id}/operation\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "SaJgzTtoXRT0hpKlIac7v"
  },
  "results": {
    "languages": [
      {
        "id": "_cknMSASo-G26UXa_IaOZ",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"result\": true,\n  \"data\": [{\n    \"status\": 200,\n    \"transaction_id\": \"1CGEMKERVARWBKE49EBRE9\",\n    \"createdAt\": 1693835594000\n    \"updatedAt\": 1693835594000\n  }, {\n    \"status\": 200,\n    \"transaction_id\": \"1CGEMKERVARWBKE49EBRE9\",\n    \"createdAt\": 1693835594000\n    \"updatedAt\": 1693835594000\n  }]\n}"
      },
      {
        "id": "IklvFdMzJSYLA6uoApTSQ",
        "language": "404",
        "customLabel": "",
        "code": "{\n      \"message\": \"Ain't no cake like that.\"\n    }"
      }
    ],
    "selectedLanguageId": "_cknMSASo-G26UXa_IaOZ"
  },
  "request": {
    "pathParameters": [
      {
        "name": "target",
        "kind": "required",
        "type": "string",
        "description": "Moneda de la cual se quiere obtener el cambio",
        "": "Moneda de la cual se quiere obtener el cambio"
      },
      {
        "name": "base",
        "kind": "optional",
        "type": "string",
        "description": "Moneda base cuando sea diferente a la de la Billetera o Banco. Este parámetro es opcional",
        "": "Moneda base cuando sea diferente a la de la Billetera o Banco. Este parámetro es opcional"
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "exchange",
  "legacyHash": "UTlMHEZ05s4nSsqfTkLxM"
}
```
:::

```json
{
    "targetRate": 10,
    "lastUpdatedAt": 1762313608641
}
```

